AccountEdge macOS 10.14 Mojave Compatibility

ArticleID: 2025220            Last updated: 27 September 2018

 

AccountEdge 2018

The latest update of AccountEdge 2018 (22.2.3C) products are compatible with macOS 10.14 Mojave.

At this time there are no known compatibility issues with macOS 10.14.

As always, customers upgrading their macOS should ensure they have made appropriate backups of their company data files, and ensure that those backups are stored off the computer to be upgraded, should they be required in event of a macOS upgrade problem.

AccountEdge 2017 and Earlier

AccountEdge 2017 and earlier are not fully compatible with macOS 10.14 Mojave and customers may experience issues registering their product, as well as various user interface issues.

Customers running AccountEdge 2017 or earlier should consider upgrading to AccountEdge 2018 before installing macOS 10.14 Mojave.

"AccountEdge is not optimised for your Mac"

When running AccountEdge on macOS 10.14 Mojave for the first time, you may see a message about AccountEdge not being optimised for your Mac.

The message does not indicate that AccountEdge is not compatible with your Mac.  Instead, it indicates that AccountEdge is a 32-bit product, rather than 64-bit.

As Apple says in the article linked to the message "You may continue to use 32-bit apps with your Mac today. Using 32-bit software has no adverse effects on your data or your computer.”

While AccountEdge is currently a 32-bit application, the development team has been hard at work on a 64-bit version for 2019, ahead of Apples move to full 64-bit OS's.

More information about AccountEdge & 64-bit can be found by clicking here

 

AccountEdge Compatibility With Earlier macOS's

For more information about AccountEdge compatibility with earlier macOS's, please click here

 

 

Return to AccountEdge Support